aboutsummaryrefslogtreecommitdiff
path: root/test/games
diff options
context:
space:
mode:
Diffstat (limited to 'test/games')
-rwxr-xr-xtest/games9
1 files changed, 9 insertions, 0 deletions
diff --git a/test/games b/test/games
new file mode 100755
index 00000000..f75de7a5
--- /dev/null
+++ b/test/games
@@ -0,0 +1,9 @@
+#!/bin/sh
+for game in games/* ; do
+ if sed 1q "$game" | grep -q 'bash$' ; then
+ bash -n "$game" || exit 1
+ elif sed 1q "$game" | grep -q 'sh$' ; then
+ sh -n "$game" || exit 1
+ fi
+done
+printf 'All shell scripts in games parsed successfully.\n'